Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.query
Interface QueryPackage.Literals

Enclosing interface:
  QueryPackage

    public static interface QueryPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` | `ADHOC_QUERY_QUERY_TYPE` The meta object literal for the '`Adhoc Query Query Type`' class.
`static org.eclipse.emf.ecore.EReference` | `ADHOC_QUERY_QUERY_TYPE__QUERY_EXPRESSION_BRANCH` The meta object literal for the 'Query Expression Branch' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `ADHOC_QUERY_REQUEST_TYPE` The meta object literal for the '`Adhoc Query Request Type`' class.
`static org.eclipse.emf.ecore.EReference` | `ADHOC_QUERY_REQUEST_TYPE__ADHOC_QUERY` The meta object literal for the 'Adhoc Query' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `ADHOC_QUERY_REQUEST_TYPE__FEDERATED` The meta object literal for the 'Federated' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `ADHOC_QUERY_REQUEST_TYPE__FEDERATION` The meta object literal for the 'Federation' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `ADHOC_QUERY_REQUEST_TYPE__MAX_RESULTS` The meta object literal for the 'Max Results' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `ADHOC_QUERY_REQUEST_TYPE__RESPONSE_OPTION` The meta object literal for the 'Response Option' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `ADHOC_QUERY_REQUEST_TYPE__START_INDEX` The meta object literal for the 'Start Index' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `ADHOC_QUERY_RESPONSE_TYPE` The meta object literal for the '`Adhoc Query Response Type`' class.
`static org.eclipse.emf.ecore.EReference` | `ADHOC_QUERY_RESPONSE_TYPE__REGISTRY_OBJECT_LIST` The meta object literal for the 'Registry Object List' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `ADHOC_QUERY_RESPONSE_TYPE__START_INDEX` The meta object literal for the 'Start Index' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `ADHOC_QUERY_RESPONSE_TYPE__TOTAL_RESULT_COUNT` The meta object literal for the 'Total Result Count' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `ASSOCIATION_QUERY_TYPE` The meta object literal for the '`Association Query Type`' class.
`static org.eclipse.emf.ecore.EReference` | `ASSOCIATION_QUERY_TYPE__ASSOCIATION_TYPE_QUERY` The meta object literal for the 'Association Type Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `ASSOCIATION_QUERY_TYPE__SOURCE_OBJECT_QUERY` The meta object literal for the 'Source Object Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `ASSOCIATION_QUERY_TYPE__TARGET_OBJECT_QUERY` The meta object literal for the 'Target Object Query' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `AUDITABLE_EVENT_QUERY_TYPE` The meta object literal for the '`Auditable Event Query Type`' class.
`static org.eclipse.emf.ecore.EReference` | `AUDITABLE_EVENT_QUERY_TYPE__AFFECTED_OBJECT_QUERY` The meta object literal for the 'Affected Object Query' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `AUDITABLE_EVENT_QUERY_TYPE__EVENT_TYPE_QUERY` The meta object literal for the 'Event Type Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `AUDITABLE_EVENT_QUERY_TYPE__USER_QUERY` The meta object literal for the 'User Query' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `BOOLEAN_FILTER_TYPE` The meta object literal for the '`Boolean Filter Type`' class.
`static org.eclipse.emf.ecore.EAttribute` | `BOOLEAN_FILTER_TYPE__VALUE` The meta object literal for the 'Value' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `BRANCH_TYPE` The meta object literal for the '`Branch Type`' class.
`static org.eclipse.emf.ecore.EClass` | `CLASSIFICATION_NODE_QUERY_TYPE` The meta object literal for the '`Classification Node Query Type`' class.
`static org.eclipse.emf.ecore.EReference` | `CLASSIFICATION_NODE_QUERY_TYPE__CHILDREN_QUERY` The meta object literal for the 'Children Query' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `CLASSIFICATION_NODE_QUERY_TYPE__PARENT_QUERY` The meta object literal for the 'Parent Query' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `CLASSIFICATION_QUERY_TYPE` The meta object literal for the '`Classification Query Type`' class.
`static org.eclipse.emf.ecore.EReference` | `CLASSIFICATION_QUERY_TYPE__CLASSIFICATION_NODE_QUERY` The meta object literal for the 'Classification Node Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `CLASSIFICATION_QUERY_TYPE__CLASSIFICATION_SCHEME_QUERY` The meta object literal for the 'Classification Scheme Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `CLASSIFICATION_QUERY_TYPE__CLASSIFIED_OBJECT_QUERY` The meta object literal for the 'Classified Object Query' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `CLASSIFICATION_SCHEME_QUERY_TYPE` The meta object literal for the '`Classification Scheme Query Type`' class.
`static org.eclipse.emf.ecore.EReference` | `CLASSIFICATION_SCHEME_QUERY_TYPE__CHILDREN_QUERY` The meta object literal for the 'Children Query' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `CLASSIFICATION_SCHEME_QUERY_TYPE__NODE_TYPE_QUERY` The meta object literal for the 'Node Type Query' containment reference feature.
`static org.eclipse.emf.ecore.EEnum` | `COMPARATOR_TYPE` The meta object literal for the '`Comparator Type`' enum.
`static org.eclipse.emf.ecore.EDataType` | `COMPARATOR_TYPE_OBJECT` The meta object literal for the 'Comparator Type Object' data type.
`static org.eclipse.emf.ecore.EClass` | `COMPOUND_FILTER_TYPE` The meta object literal for the '`Compound Filter Type`' class.
`static org.eclipse.emf.ecore.EReference` | `COMPOUND_FILTER_TYPE__LEFT_FILTER` The meta object literal for the 'Left Filter' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `COMPOUND_FILTER_TYPE__LOGICAL_OPERATOR` The meta object literal for the 'Logical Operator' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `COMPOUND_FILTER_TYPE__RIGHT_FILTER` The meta object literal for the 'Right Filter' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `DATE_TIME_FILTER_TYPE` The meta object literal for the '`Date Time Filter Type`' class.
`static org.eclipse.emf.ecore.EAttribute` | `DATE_TIME_FILTER_TYPE__VALUE` The meta object literal for the 'Value' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `DOCUMENT_ROOT` The meta object literal for the '`Document Root`' class.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__ADHOC_QUERY_QUERY` The meta object literal for the 'Adhoc Query Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__ADHOC_QUERY_REQUEST` The meta object literal for the 'Adhoc Query Request' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__ADHOC_QUERY_RESPONSE` The meta object literal for the 'Adhoc Query Response' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__ASSOCIATION_QUERY` The meta object literal for the 'Association Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__AUDITABLE_EVENT_QUERY` The meta object literal for the 'Auditable Event Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__BOOLEAN_FILTER` The meta object literal for the 'Boolean Filter' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__CLASSIFICATION_NODE_QUERY` The meta object literal for the 'Classification Node Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__CLASSIFICATION_QUERY` The meta object literal for the 'Classification Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__CLASSIFICATION_SCHEME_QUERY` The meta object literal for the 'Classification Scheme Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__COMPOUND_FILTER` The meta object literal for the 'Compound Filter' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__DATE_TIME_FILTER` The meta object literal for the 'Date Time Filter' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__EXTERNAL_IDENTIFIER_QUERY` The meta object literal for the 'External Identifier Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__EXTERNAL_LINK_QUERY` The meta object literal for the 'External Link Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__EXTRINSIC_OBJECT_QUERY` The meta object literal for the 'Extrinsic Object Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__FEDERATION_QUERY` The meta object literal for the 'Federation Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__FILTER` The meta object literal for the 'Filter' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__FLOAT_FILTER` The meta object literal for the 'Float Filter' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__INTEGER_FILTER` The meta object literal for the 'Integer Filter' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `DOCUMENT_ROOT__MIXED` The meta object literal for the 'Mixed' attribute list feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__NOTIFICATION_QUERY` The meta object literal for the 'Notification Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__ORGANIZATION_QUERY` The meta object literal for the 'Organization Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__REGISTRY_OBJECT_QUERY` The meta object literal for the 'Registry Object Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__REGISTRY_PACKAGE_QUERY` The meta object literal for the 'Registry Package Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__REGISTRY_QUERY` The meta object literal for the 'Registry Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__RESPONSE_OPTION` The meta object literal for the 'Response Option' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__SERVICE_BINDING_QUERY` The meta object literal for the 'Service Binding Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__SERVICE_QUERY` The meta object literal for the 'Service Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__SPECIFICATION_LINK_QUERY` The meta object literal for the 'Specification Link Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__STRING_FILTER` The meta object literal for the 'String Filter' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__SUBSCRIPTION_QUERY` The meta object literal for the 'Subscription Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__USER_QUERY` The meta object literal for the 'User Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__XMLNS_PREFIX_MAP` The meta object literal for the 'XMLNS Prefix Map' map feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__XSI_SCHEMA_LOCATION` The meta object literal for the 'XSI Schema Location' map feature.
`static org.eclipse.emf.ecore.EClass` | `EXTERNAL_IDENTIFIER_QUERY_TYPE` The meta object literal for the '`External Identifier Query Type`' class.
`static org.eclipse.emf.ecore.EReference` | `EXTERNAL_IDENTIFIER_QUERY_TYPE__IDENTIFICATION_SCHEME_QUERY` The meta object literal for the 'Identification Scheme Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `EXTERNAL_IDENTIFIER_QUERY_TYPE__REGISTRY_OBJECT_QUERY` The meta object literal for the 'Registry Object Query' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `EXTERNAL_LINK_QUERY_TYPE` The meta object literal for the '`External Link Query Type`' class.
`static org.eclipse.emf.ecore.EClass` | `EXTRINSIC_OBJECT_QUERY_TYPE` The meta object literal for the '`Extrinsic Object Query Type`' class.
`static org.eclipse.emf.ecore.EReference` | `EXTRINSIC_OBJECT_QUERY_TYPE__CONTENT_VERSION_INFO_FILTER` The meta object literal for the 'Content Version Info Filter' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `FEDERATION_QUERY_TYPE` The meta object literal for the '`Federation Query Type`' class.
`static org.eclipse.emf.ecore.EClass` | `FILTER_QUERY_TYPE` The meta object literal for the '`Filter Query Type`' class.
`static org.eclipse.emf.ecore.EReference` | `FILTER_QUERY_TYPE__PRIMARY_FILTER` The meta object literal for the 'Primary Filter' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `FILTER_TYPE` The meta object literal for the '`Filter Type`' class.
`static org.eclipse.emf.ecore.EAttribute` | `FILTER_TYPE__NEGATE` The meta object literal for the 'Negate' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `FLOAT_FILTER_TYPE` The meta object literal for the '`Float Filter Type`' class.
`static org.eclipse.emf.ecore.EAttribute` | `FLOAT_FILTER_TYPE__VALUE` The meta object literal for the 'Value' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `INTEGER_FILTER_TYPE` The meta object literal for the '`Integer Filter Type`' class.
`static org.eclipse.emf.ecore.EAttribute` | `INTEGER_FILTER_TYPE__VALUE` The meta object literal for the 'Value' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `INTERNATIONAL_STRING_BRANCH_TYPE` The meta object literal for the '`International String Branch Type`' class.
`static org.eclipse.emf.ecore.EReference` | `INTERNATIONAL_STRING_BRANCH_TYPE__LOCALIZED_STRING_FILTER` The meta object literal for the 'Localized String Filter' containment reference list feature.
`static org.eclipse.emf.ecore.EEnum` | `LOGICAL_OPERATOR_TYPE` The meta object literal for the '`Logical Operator Type`' enum.
`static org.eclipse.emf.ecore.EDataType` | `LOGICAL_OPERATOR_TYPE_OBJECT` The meta object literal for the 'Logical Operator Type Object' data type.
`static org.eclipse.emf.ecore.EClass` | `NOTIFICATION_QUERY_TYPE` The meta object literal for the '`Notification Query Type`' class.
`static org.eclipse.emf.ecore.EReference` | `NOTIFICATION_QUERY_TYPE__REGISTRY_OBJECT_QUERY` The meta object literal for the 'Registry Object Query' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `ORGANIZATION_QUERY_TYPE` The meta object literal for the '`Organization Query Type`' class.
`static org.eclipse.emf.ecore.EReference` | `ORGANIZATION_QUERY_TYPE__ADDRESS_FILTER` The meta object literal for the 'Address Filter' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `ORGANIZATION_QUERY_TYPE__CHILD_ORGANIZATION_QUERY` The meta object literal for the 'Child Organization Query' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `ORGANIZATION_QUERY_TYPE__EMAIL_ADDRESSE_FILTER` The meta object literal for the 'Email Addresse Filter' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `ORGANIZATION_QUERY_TYPE__PARENT_QUERY` The meta object literal for the 'Parent Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `ORGANIZATION_QUERY_TYPE__PRIMARY_CONTACT_QUERY` The meta object literal for the 'Primary Contact Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `ORGANIZATION_QUERY_TYPE__TELEPHONE_NUMBER_FILTER` The meta object literal for the 'Telephone Number Filter' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `PERSON_QUERY_TYPE` The meta object literal for the '`Person Query Type`' class.
`static org.eclipse.emf.ecore.EReference` | `PERSON_QUERY_TYPE__ADDRESS_FILTER` The meta object literal for the 'Address Filter' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `PERSON_QUERY_TYPE__EMAIL_ADDRESSE_FILTER` The meta object literal for the 'Email Addresse Filter' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `PERSON_QUERY_TYPE__PERSON_NAME_FILTER` The meta object literal for the 'Person Name Filter' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `PERSON_QUERY_TYPE__TELEPHONE_NUMBER_FILTER` The meta object literal for the 'Telephone Number Filter' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `QUERY_EXPRESSION_BRANCH_TYPE` The meta object literal for the '`Expression Branch Type`' class.
`static org.eclipse.emf.ecore.EReference` | `QUERY_EXPRESSION_BRANCH_TYPE__QUERY_LANGUAGE_QUERY` The meta object literal for the 'Query Language Query' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `REGISTRY_OBJECT_QUERY_TYPE` The meta object literal for the '`Registry Object Query Type`' class.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_OBJECT_QUERY_TYPE__CLASSIFICATION_QUERY` The meta object literal for the 'Classification Query' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_OBJECT_QUERY_TYPE__DESCRIPTION_BRANCH` The meta object literal for the 'Description Branch' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_OBJECT_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY` The meta object literal for the 'External Identifier Query' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_OBJECT_QUERY_TYPE__NAME_BRANCH` The meta object literal for the 'Name Branch' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_OBJECT_QUERY_TYPE__OBJECT_TYPE_QUERY` The meta object literal for the 'Object Type Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_OBJECT_QUERY_TYPE__SLOT_BRANCH` The meta object literal for the 'Slot Branch' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_OBJECT_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY` The meta object literal for the 'Source Association Query' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_OBJECT_QUERY_TYPE__STATUS_QUERY` The meta object literal for the 'Status Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_OBJECT_QUERY_TYPE__TARGET_ASSOCIATION_QUERY` The meta object literal for the 'Target Association Query' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_OBJECT_QUERY_TYPE__VERSION_INFO_FILTER` The meta object literal for the 'Version Info Filter' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `REGISTRY_PACKAGE_QUERY_TYPE` The meta object literal for the '`Registry Package Query Type`' class.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_PACKAGE_QUERY_TYPE__REGISTRY_OBJECT_QUERY` The meta object literal for the 'Registry Object Query' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `REGISTRY_QUERY_TYPE` The meta object literal for the '`Registry Query Type`' class.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_QUERY_TYPE__OPERATOR_QUERY` The meta object literal for the 'Operator Query' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `RESPONSE_OPTION_TYPE` The meta object literal for the '`Response Option Type`' class.
`static org.eclipse.emf.ecore.EAttribute` | `RESPONSE_OPTION_TYPE__RETURN_COMPOSED_OBJECTS` The meta object literal for the 'Return Composed Objects' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `RESPONSE_OPTION_TYPE__RETURN_TYPE` The meta object literal for the 'Return Type' attribute feature.
`static org.eclipse.emf.ecore.EEnum` | `RETURN_TYPE_TYPE` The meta object literal for the '`Return Type Type`' enum.
`static org.eclipse.emf.ecore.EDataType` | `RETURN_TYPE_TYPE_OBJECT` The meta object literal for the 'Return Type Type Object' data type.
`static org.eclipse.emf.ecore.EClass` | `SERVICE_BINDING_QUERY_TYPE` The meta object literal for the '`Service Binding Query Type`' class.
`static org.eclipse.emf.ecore.EReference` | `SERVICE_BINDING_QUERY_TYPE__SERVICE_QUERY` The meta object literal for the 'Service Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `SERVICE_BINDING_QUERY_TYPE__SPECIFICATION_LINK_QUERY` The meta object literal for the 'Specification Link Query' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `SERVICE_BINDING_QUERY_TYPE__TARGET_BINDING_QUERY` The meta object literal for the 'Target Binding Query' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `SERVICE_QUERY_TYPE` The meta object literal for the '`Service Query Type`' class.
`static org.eclipse.emf.ecore.EReference` | `SERVICE_QUERY_TYPE__SERVICE_BINDING_QUERY` The meta object literal for the 'Service Binding Query' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `SIMPLE_FILTER_TYPE` The meta object literal for the '`Simple Filter Type`' class.
`static org.eclipse.emf.ecore.EAttribute` | `SIMPLE_FILTER_TYPE__COMPARATOR` The meta object literal for the 'Comparator' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `SIMPLE_FILTER_TYPE__DOMAIN_ATTRIBUTE` The meta object literal for the 'Domain Attribute' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `SLOT_BRANCH_TYPE` The meta object literal for the '`Slot Branch Type`' class.
`static org.eclipse.emf.ecore.EClass` | `SPECIFICATION_LINK_QUERY_TYPE` The meta object literal for the '`Specification Link Query Type`' class.
`static org.eclipse.emf.ecore.EReference` | `SPECIFICATION_LINK_QUERY_TYPE__SERVICE_BINDING_QUERY` The meta object literal for the 'Service Binding Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `SPECIFICATION_LINK_QUERY_TYPE__SPECIFICATION_OBJECT_QUERY` The meta object literal for the 'Specification Object Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `SPECIFICATION_LINK_QUERY_TYPE__USAGE_DESCRIPTION_BRANCH` The meta object literal for the 'Usage Description Branch' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `STRING_FILTER_TYPE` The meta object literal for the '`String Filter Type`' class.
`static org.eclipse.emf.ecore.EAttribute` | `STRING_FILTER_TYPE__VALUE` The meta object literal for the 'Value' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `SUBSCRIPTION_QUERY_TYPE` The meta object literal for the '`Subscription Query Type`' class.
`static org.eclipse.emf.ecore.EReference` | `SUBSCRIPTION_QUERY_TYPE__SELECTOR_QUERY` The meta object literal for the 'Selector Query' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `USER_QUERY_TYPE` The meta object literal for the '`User Query Type`' class.

Field Detail

### ADHOC_QUERY_QUERY_TYPE

    static final org.eclipse.emf.ecore.EClass ADHOC_QUERY_QUERY_TYPE

  The meta object literal for the '`Adhoc Query Query Type`' class.

  See Also:
    `AdhocQueryQueryTypeImpl`, `QueryPackageImpl.getAdhocQueryQueryType()`

### ADHOC_QUERY_QUERY_TYPE__QUERY_EXPRESSION_BRANCH

    static final org.eclipse.emf.ecore.EReference ADHOC_QUERY_QUERY_TYPE__QUERY_EXPRESSION_BRANCH

  The meta object literal for the 'Query Expression Branch' containment reference feature.

### ADHOC_QUERY_REQUEST_TYPE

    static final org.eclipse.emf.ecore.EClass ADHOC_QUERY_REQUEST_TYPE

  The meta object literal for the '`Adhoc Query Request Type`' class.

  See Also:
    `AdhocQueryRequestTypeImpl`, `QueryPackageImpl.getAdhocQueryRequestType()`

### ADHOC_QUERY_REQUEST_TYPE__RESPONSE_OPTION

    static final org.eclipse.emf.ecore.EReference ADHOC_QUERY_REQUEST_TYPE__RESPONSE_OPTION

  The meta object literal for the 'Response Option' containment reference feature.

### ADHOC_QUERY_REQUEST_TYPE__ADHOC_QUERY

    static final org.eclipse.emf.ecore.EReference ADHOC_QUERY_REQUEST_TYPE__ADHOC_QUERY

  The meta object literal for the 'Adhoc Query' containment reference feature.

### ADHOC_QUERY_REQUEST_TYPE__FEDERATED

    static final org.eclipse.emf.ecore.EAttribute ADHOC_QUERY_REQUEST_TYPE__FEDERATED

  The meta object literal for the 'Federated' attribute feature.

### ADHOC_QUERY_REQUEST_TYPE__FEDERATION

    static final org.eclipse.emf.ecore.EAttribute ADHOC_QUERY_REQUEST_TYPE__FEDERATION

  The meta object literal for the 'Federation' attribute feature.

### ADHOC_QUERY_REQUEST_TYPE__MAX_RESULTS

    static final org.eclipse.emf.ecore.EAttribute ADHOC_QUERY_REQUEST_TYPE__MAX_RESULTS

  The meta object literal for the 'Max Results' attribute feature.

### ADHOC_QUERY_REQUEST_TYPE__START_INDEX

    static final org.eclipse.emf.ecore.EAttribute ADHOC_QUERY_REQUEST_TYPE__START_INDEX

  The meta object literal for the 'Start Index' attribute feature.

### ADHOC_QUERY_RESPONSE_TYPE

    static final org.eclipse.emf.ecore.EClass ADHOC_QUERY_RESPONSE_TYPE

  The meta object literal for the '`Adhoc Query Response Type`' class.

  See Also:
    `AdhocQueryResponseTypeImpl`, `QueryPackageImpl.getAdhocQueryResponseType()`

### ADHOC_QUERY_RESPONSE_TYPE__REGISTRY_OBJECT_LIST

    static final org.eclipse.emf.ecore.EReference ADHOC_QUERY_RESPONSE_TYPE__REGISTRY_OBJECT_LIST

  The meta object literal for the 'Registry Object List' containment reference feature.

### ADHOC_QUERY_RESPONSE_TYPE__START_INDEX

    static final org.eclipse.emf.ecore.EAttribute ADHOC_QUERY_RESPONSE_TYPE__START_INDEX

  The meta object literal for the 'Start Index' attribute feature.

### ADHOC_QUERY_RESPONSE_TYPE__TOTAL_RESULT_COUNT

    static final org.eclipse.emf.ecore.EAttribute ADHOC_QUERY_RESPONSE_TYPE__TOTAL_RESULT_COUNT

  The meta object literal for the 'Total Result Count' attribute feature.

### ASSOCIATION_QUERY_TYPE

    static final org.eclipse.emf.ecore.EClass ASSOCIATION_QUERY_TYPE

  The meta object literal for the '`Association Query Type`' class.

  See Also:
    `AssociationQueryTypeImpl`, `QueryPackageImpl.getAssociationQueryType()`

### ASSOCIATION_QUERY_TYPE__ASSOCIATION_TYPE_QUERY

    static final org.eclipse.emf.ecore.EReference ASSOCIATION_QUERY_TYPE__ASSOCIATION_TYPE_QUERY

  The meta object literal for the 'Association Type Query' containment reference feature.

### ASSOCIATION_QUERY_TYPE__SOURCE_OBJECT_QUERY

    static final org.eclipse.emf.ecore.EReference ASSOCIATION_QUERY_TYPE__SOURCE_OBJECT_QUERY

  The meta object literal for the 'Source Object Query' containment reference feature.

### ASSOCIATION_QUERY_TYPE__TARGET_OBJECT_QUERY

    static final org.eclipse.emf.ecore.EReference ASSOCIATION_QUERY_TYPE__TARGET_OBJECT_QUERY

  The meta object literal for the 'Target Object Query' containment reference feature.

### AUDITABLE_EVENT_QUERY_TYPE

    static final org.eclipse.emf.ecore.EClass AUDITABLE_EVENT_QUERY_TYPE

  The meta object literal for the '`Auditable Event Query Type`' class.

  See Also:
    `AuditableEventQueryTypeImpl`, `QueryPackageImpl.getAuditableEventQueryType()`

### AUDITABLE_EVENT_QUERY_TYPE__AFFECTED_OBJECT_QUERY

    static final org.eclipse.emf.ecore.EReference AUDITABLE_EVENT_QUERY_TYPE__AFFECTED_OBJECT_QUERY

  The meta object literal for the 'Affected Object Query' containment reference list feature.

### AUDITABLE_EVENT_QUERY_TYPE__EVENT_TYPE_QUERY

    static final org.eclipse.emf.ecore.EReference AUDITABLE_EVENT_QUERY_TYPE__EVENT_TYPE_QUERY

  The meta object literal for the 'Event Type Query' containment reference feature.

### AUDITABLE_EVENT_QUERY_TYPE__USER_QUERY

    static final org.eclipse.emf.ecore.EReference AUDITABLE_EVENT_QUERY_TYPE__USER_QUERY

  The meta object literal for the 'User Query' containment reference feature.

### BOOLEAN_FILTER_TYPE

    static final org.eclipse.emf.ecore.EClass BOOLEAN_FILTER_TYPE

  The meta object literal for the '`Boolean Filter Type`' class.

  See Also:
    `BooleanFilterTypeImpl`, `QueryPackageImpl.getBooleanFilterType()`

### BOOLEAN_FILTER_TYPE__VALUE

    static final org.eclipse.emf.ecore.EAttribute BOOLEAN_FILTER_TYPE__VALUE

  The meta object literal for the 'Value' attribute feature.

### BRANCH_TYPE

    static final org.eclipse.emf.ecore.EClass BRANCH_TYPE

  The meta object literal for the '`Branch Type`' class.

  See Also:
    `BranchTypeImpl`, `QueryPackageImpl.getBranchType()`

### CLASSIFICATION_NODE_QUERY_TYPE

    static final org.eclipse.emf.ecore.EClass CLASSIFICATION_NODE_QUERY_TYPE

  The meta object literal for the '`Classification Node Query Type`' class.

  See Also:
    `ClassificationNodeQueryTypeImpl`, `QueryPackageImpl.getClassificationNodeQueryType()`

### CLASSIFICATION_NODE_QUERY_TYPE__PARENT_QUERY

    static final org.eclipse.emf.ecore.EReference CLASSIFICATION_NODE_QUERY_TYPE__PARENT_QUERY

  The meta object literal for the 'Parent Query' containment reference feature.

### CLASSIFICATION_NODE_QUERY_TYPE__CHILDREN_QUERY

    static final org.eclipse.emf.ecore.EReference CLASSIFICATION_NODE_QUERY_TYPE__CHILDREN_QUERY

  The meta object literal for the 'Children Query' containment reference list feature.

### CLASSIFICATION_QUERY_TYPE

    static final org.eclipse.emf.ecore.EClass CLASSIFICATION_QUERY_TYPE

  The meta object literal for the '`Classification Query Type`' class.

  See Also:
    `ClassificationQueryTypeImpl`, `QueryPackageImpl.getClassificationQueryType()`

### CLASSIFICATION_QUERY_TYPE__CLASSIFICATION_SCHEME_QUERY

    static final org.eclipse.emf.ecore.EReference CLASSIFICATION_QUERY_TYPE__CLASSIFICATION_SCHEME_QUERY

  The meta object literal for the 'Classification Scheme Query' containment reference feature.

### CLASSIFICATION_QUERY_TYPE__CLASSIFIED_OBJECT_QUERY

    static final org.eclipse.emf.ecore.EReference CLASSIFICATION_QUERY_TYPE__CLASSIFIED_OBJECT_QUERY

  The meta object literal for the 'Classified Object Query' containment reference feature.

### CLASSIFICATION_QUERY_TYPE__CLASSIFICATION_NODE_QUERY

    static final org.eclipse.emf.ecore.EReference CLASSIFICATION_QUERY_TYPE__CLASSIFICATION_NODE_QUERY

  The meta object literal for the 'Classification Node Query' containment reference feature.

### CLASSIFICATION_SCHEME_QUERY_TYPE

    static final org.eclipse.emf.ecore.EClass CLASSIFICATION_SCHEME_QUERY_TYPE

  The meta object literal for the '`Classification Scheme Query Type`' class.

  See Also:
    `ClassificationSchemeQueryTypeImpl`, `QueryPackageImpl.getClassificationSchemeQueryType()`

### CLASSIFICATION_SCHEME_QUERY_TYPE__CHILDREN_QUERY

    static final org.eclipse.emf.ecore.EReference CLASSIFICATION_SCHEME_QUERY_TYPE__CHILDREN_QUERY

  The meta object literal for the 'Children Query' containment reference list feature.

### CLASSIFICATION_SCHEME_QUERY_TYPE__NODE_TYPE_QUERY

    static final org.eclipse.emf.ecore.EReference CLASSIFICATION_SCHEME_QUERY_TYPE__NODE_TYPE_QUERY

  The meta object literal for the 'Node Type Query' containment reference feature.

### COMPOUND_FILTER_TYPE

    static final org.eclipse.emf.ecore.EClass COMPOUND_FILTER_TYPE

  The meta object literal for the '`Compound Filter Type`' class.

  See Also:
    `CompoundFilterTypeImpl`, `QueryPackageImpl.getCompoundFilterType()`

### COMPOUND_FILTER_TYPE__LEFT_FILTER

    static final org.eclipse.emf.ecore.EReference COMPOUND_FILTER_TYPE__LEFT_FILTER

  The meta object literal for the 'Left Filter' containment reference feature.

### COMPOUND_FILTER_TYPE__RIGHT_FILTER

    static final org.eclipse.emf.ecore.EReference COMPOUND_FILTER_TYPE__RIGHT_FILTER

  The meta object literal for the 'Right Filter' containment reference feature.

### COMPOUND_FILTER_TYPE__LOGICAL_OPERATOR

    static final org.eclipse.emf.ecore.EAttribute COMPOUND_FILTER_TYPE__LOGICAL_OPERATOR

  The meta object literal for the 'Logical Operator' attribute feature.

### DATE_TIME_FILTER_TYPE

    static final org.eclipse.emf.ecore.EClass DATE_TIME_FILTER_TYPE

  The meta object literal for the '`Date Time Filter Type`' class.

  See Also:
    `DateTimeFilterTypeImpl`, `QueryPackageImpl.getDateTimeFilterType()`

### DATE_TIME_FILTER_TYPE__VALUE

    static final org.eclipse.emf.ecore.EAttribute DATE_TIME_FILTER_TYPE__VALUE

  The meta object literal for the 'Value' attribute feature.

### DOCUMENT_ROOT

    static final org.eclipse.emf.ecore.EClass DOCUMENT_ROOT

  The meta object literal for the '`Document Root`' class.

  See Also:
    `DocumentRootImpl`, `QueryPackageImpl.getDocumentRoot()`

### DOCUMENT_ROOT__MIXED

    static final org.eclipse.emf.ecore.EAttribute DOCUMENT_ROOT__MIXED

  The meta object literal for the 'Mixed' attribute list feature.

### DOCUMENT_ROOT__XMLNS_PREFIX_MAP

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__XMLNS_PREFIX_MAP

  The meta object literal for the 'XMLNS Prefix Map' map feature.

### DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

  The meta object literal for the 'XSI Schema Location' map feature.

### DOCUMENT_ROOT__ADHOC_QUERY_QUERY

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__ADHOC_QUERY_QUERY

  The meta object literal for the 'Adhoc Query Query' containment reference feature.

### DOCUMENT_ROOT__ADHOC_QUERY_REQUEST

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__ADHOC_QUERY_REQUEST

  The meta object literal for the 'Adhoc Query Request' containment reference feature.

### DOCUMENT_ROOT__ADHOC_QUERY_RESPONSE

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__ADHOC_QUERY_RESPONSE

  The meta object literal for the 'Adhoc Query Response' containment reference feature.

### DOCUMENT_ROOT__ASSOCIATION_QUERY

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__ASSOCIATION_QUERY

  The meta object literal for the 'Association Query' containment reference feature.

### DOCUMENT_ROOT__AUDITABLE_EVENT_QUERY

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__AUDITABLE_EVENT_QUERY

  The meta object literal for the 'Auditable Event Query' containment reference feature.

### DOCUMENT_ROOT__BOOLEAN_FILTER

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__BOOLEAN_FILTER

  The meta object literal for the 'Boolean Filter' containment reference feature.

### DOCUMENT_ROOT__CLASSIFICATION_NODE_QUERY

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__CLASSIFICATION_NODE_QUERY

  The meta object literal for the 'Classification Node Query' containment reference feature.

### DOCUMENT_ROOT__CLASSIFICATION_QUERY

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__CLASSIFICATION_QUERY

  The meta object literal for the 'Classification Query' containment reference feature.

### DOCUMENT_ROOT__CLASSIFICATION_SCHEME_QUERY

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__CLASSIFICATION_SCHEME_QUERY

  The meta object literal for the 'Classification Scheme Query' containment reference feature.

### DOCUMENT_ROOT__COMPOUND_FILTER

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__COMPOUND_FILTER

  The meta object literal for the 'Compound Filter' containment reference feature.

### DOCUMENT_ROOT__DATE_TIME_FILTER

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__DATE_TIME_FILTER

  The meta object literal for the 'Date Time Filter' containment reference feature.

### DOCUMENT_ROOT__EXTERNAL_IDENTIFIER_QUERY

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__EXTERNAL_IDENTIFIER_QUERY

  The meta object literal for the 'External Identifier Query' containment reference feature.

### DOCUMENT_ROOT__EXTERNAL_LINK_QUERY

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__EXTERNAL_LINK_QUERY

  The meta object literal for the 'External Link Query' containment reference feature.

### DOCUMENT_ROOT__EXTRINSIC_OBJECT_QUERY

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__EXTRINSIC_OBJECT_QUERY

  The meta object literal for the 'Extrinsic Object Query' containment reference feature.

### DOCUMENT_ROOT__FEDERATION_QUERY

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__FEDERATION_QUERY

  The meta object literal for the 'Federation Query' containment reference feature.

### DOCUMENT_ROOT__FILTER

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__FILTER

  The meta object literal for the 'Filter' containment reference feature.

### DOCUMENT_ROOT__FLOAT_FILTER

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__FLOAT_FILTER

  The meta object literal for the 'Float Filter' containment reference feature.

### DOCUMENT_ROOT__INTEGER_FILTER

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__INTEGER_FILTER

  The meta object literal for the 'Integer Filter' containment reference feature.

### DOCUMENT_ROOT__NOTIFICATION_QUERY

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__NOTIFICATION_QUERY

  The meta object literal for the 'Notification Query' containment reference feature.

### DOCUMENT_ROOT__ORGANIZATION_QUERY

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__ORGANIZATION_QUERY

  The meta object literal for the 'Organization Query' containment reference feature.

### DOCUMENT_ROOT__REGISTRY_OBJECT_QUERY

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__REGISTRY_OBJECT_QUERY

  The meta object literal for the 'Registry Object Query' containment reference feature.

### DOCUMENT_ROOT__REGISTRY_PACKAGE_QUERY

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__REGISTRY_PACKAGE_QUERY

  The meta object literal for the 'Registry Package Query' containment reference feature.

### DOCUMENT_ROOT__REGISTRY_QUERY

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__REGISTRY_QUERY

  The meta object literal for the 'Registry Query' containment reference feature.

### DOCUMENT_ROOT__RESPONSE_OPTION

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__RESPONSE_OPTION

  The meta object literal for the 'Response Option' containment reference feature.

### DOCUMENT_ROOT__SERVICE_BINDING_QUERY

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__SERVICE_BINDING_QUERY

  The meta object literal for the 'Service Binding Query' containment reference feature.

### DOCUMENT_ROOT__SERVICE_QUERY

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__SERVICE_QUERY

  The meta object literal for the 'Service Query' containment reference feature.

### DOCUMENT_ROOT__SPECIFICATION_LINK_QUERY

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__SPECIFICATION_LINK_QUERY

  The meta object literal for the 'Specification Link Query' containment reference feature.

### DOCUMENT_ROOT__STRING_FILTER

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__STRING_FILTER

  The meta object literal for the 'String Filter' containment reference feature.

### DOCUMENT_ROOT__SUBSCRIPTION_QUERY

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__SUBSCRIPTION_QUERY

  The meta object literal for the 'Subscription Query' containment reference feature.

### DOCUMENT_ROOT__USER_QUERY

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__USER_QUERY

  The meta object literal for the 'User Query' containment reference feature.

### EXTERNAL_IDENTIFIER_QUERY_TYPE

    static final org.eclipse.emf.ecore.EClass EXTERNAL_IDENTIFIER_QUERY_TYPE

  The meta object literal for the '`External Identifier Query Type`' class.

  See Also:
    `ExternalIdentifierQueryTypeImpl`, `QueryPackageImpl.getExternalIdentifierQueryType()`

### EXTERNAL_IDENTIFIER_QUERY_TYPE__REGISTRY_OBJECT_QUERY

    static final org.eclipse.emf.ecore.EReference EXTERNAL_IDENTIFIER_QUERY_TYPE__REGISTRY_OBJECT_QUERY

  The meta object literal for the 'Registry Object Query' containment reference feature.

### EXTERNAL_IDENTIFIER_QUERY_TYPE__IDENTIFICATION_SCHEME_QUERY

    static final org.eclipse.emf.ecore.EReference EXTERNAL_IDENTIFIER_QUERY_TYPE__IDENTIFICATION_SCHEME_QUERY

  The meta object literal for the 'Identification Scheme Query' containment reference feature.

### EXTERNAL_LINK_QUERY_TYPE

    static final org.eclipse.emf.ecore.EClass EXTERNAL_LINK_QUERY_TYPE

  The meta object literal for the '`External Link Query Type`' class.

  See Also:
    `ExternalLinkQueryTypeImpl`, `QueryPackageImpl.getExternalLinkQueryType()`

### EXTRINSIC_OBJECT_QUERY_TYPE

    static final org.eclipse.emf.ecore.EClass EXTRINSIC_OBJECT_QUERY_TYPE

  The meta object literal for the '`Extrinsic Object Query Type`' class.

  See Also:
    `ExtrinsicObjectQueryTypeImpl`, `QueryPackageImpl.getExtrinsicObjectQueryType()`

### EXTRINSIC_OBJECT_QUERY_TYPE__CONTENT_VERSION_INFO_FILTER

    static final org.eclipse.emf.ecore.EReference EXTRINSIC_OBJECT_QUERY_TYPE__CONTENT_VERSION_INFO_FILTER

  The meta object literal for the 'Content Version Info Filter' containment reference feature.

### FEDERATION_QUERY_TYPE

    static final org.eclipse.emf.ecore.EClass FEDERATION_QUERY_TYPE

  The meta object literal for the '`Federation Query Type`' class.

  See Also:
    `FederationQueryTypeImpl`, `QueryPackageImpl.getFederationQueryType()`

### FILTER_QUERY_TYPE

    static final org.eclipse.emf.ecore.EClass FILTER_QUERY_TYPE

  The meta object literal for the '`Filter Query Type`' class.

  See Also:
    `FilterQueryTypeImpl`, `QueryPackageImpl.getFilterQueryType()`

### FILTER_QUERY_TYPE__PRIMARY_FILTER

    static final org.eclipse.emf.ecore.EReference FILTER_QUERY_TYPE__PRIMARY_FILTER

  The meta object literal for the 'Primary Filter' containment reference feature.

### FILTER_TYPE

    static final org.eclipse.emf.ecore.EClass FILTER_TYPE

  The meta object literal for the '`Filter Type`' class.

  See Also:
    `FilterTypeImpl`, `QueryPackageImpl.getFilterType()`

### FILTER_TYPE__NEGATE

    static final org.eclipse.emf.ecore.EAttribute FILTER_TYPE__NEGATE

  The meta object literal for the 'Negate' attribute feature.

### FLOAT_FILTER_TYPE

    static final org.eclipse.emf.ecore.EClass FLOAT_FILTER_TYPE

  The meta object literal for the '`Float Filter Type`' class.

  See Also:
    `FloatFilterTypeImpl`, `QueryPackageImpl.getFloatFilterType()`

### FLOAT_FILTER_TYPE__VALUE

    static final org.eclipse.emf.ecore.EAttribute FLOAT_FILTER_TYPE__VALUE

  The meta object literal for the 'Value' attribute feature.

### INTEGER_FILTER_TYPE

    static final org.eclipse.emf.ecore.EClass INTEGER_FILTER_TYPE

  The meta object literal for the '`Integer Filter Type`' class.

  See Also:
    `IntegerFilterTypeImpl`, `QueryPackageImpl.getIntegerFilterType()`

### INTEGER_FILTER_TYPE__VALUE

    static final org.eclipse.emf.ecore.EAttribute INTEGER_FILTER_TYPE__VALUE

  The meta object literal for the 'Value' attribute feature.

### INTERNATIONAL_STRING_BRANCH_TYPE

    static final org.eclipse.emf.ecore.EClass INTERNATIONAL_STRING_BRANCH_TYPE

  The meta object literal for the '`International String Branch Type`' class.

  See Also:
    `InternationalStringBranchTypeImpl`, `QueryPackageImpl.getInternationalStringBranchType()`

### INTERNATIONAL_STRING_BRANCH_TYPE__LOCALIZED_STRING_FILTER

    static final org.eclipse.emf.ecore.EReference INTERNATIONAL_STRING_BRANCH_TYPE__LOCALIZED_STRING_FILTER

  The meta object literal for the 'Localized String Filter' containment reference list feature.

### NOTIFICATION_QUERY_TYPE

    static final org.eclipse.emf.ecore.EClass NOTIFICATION_QUERY_TYPE

  The meta object literal for the '`Notification Query Type`' class.

  See Also:
    `NotificationQueryTypeImpl`, `QueryPackageImpl.getNotificationQueryType()`

### NOTIFICATION_QUERY_TYPE__REGISTRY_OBJECT_QUERY

    static final org.eclipse.emf.ecore.EReference NOTIFICATION_QUERY_TYPE__REGISTRY_OBJECT_QUERY

  The meta object literal for the 'Registry Object Query' containment reference feature.

### ORGANIZATION_QUERY_TYPE

    static final org.eclipse.emf.ecore.EClass ORGANIZATION_QUERY_TYPE

  The meta object literal for the '`Organization Query Type`' class.

  See Also:
    `OrganizationQueryTypeImpl`, `QueryPackageImpl.getOrganizationQueryType()`

### ORGANIZATION_QUERY_TYPE__ADDRESS_FILTER

    static final org.eclipse.emf.ecore.EReference ORGANIZATION_QUERY_TYPE__ADDRESS_FILTER

  The meta object literal for the 'Address Filter' containment reference list feature.

### ORGANIZATION_QUERY_TYPE__TELEPHONE_NUMBER_FILTER

    static final org.eclipse.emf.ecore.EReference ORGANIZATION_QUERY_TYPE__TELEPHONE_NUMBER_FILTER

  The meta object literal for the 'Telephone Number Filter' containment reference list feature.

### ORGANIZATION_QUERY_TYPE__EMAIL_ADDRESSE_FILTER

    static final org.eclipse.emf.ecore.EReference ORGANIZATION_QUERY_TYPE__EMAIL_ADDRESSE_FILTER

  The meta object literal for the 'Email Addresse Filter' containment reference list feature.

### ORGANIZATION_QUERY_TYPE__PARENT_QUERY

    static final org.eclipse.emf.ecore.EReference ORGANIZATION_QUERY_TYPE__PARENT_QUERY

  The meta object literal for the 'Parent Query' containment reference feature.

### ORGANIZATION_QUERY_TYPE__CHILD_ORGANIZATION_QUERY

    static final org.eclipse.emf.ecore.EReference ORGANIZATION_QUERY_TYPE__CHILD_ORGANIZATION_QUERY

  The meta object literal for the 'Child Organization Query' containment reference list feature.

### ORGANIZATION_QUERY_TYPE__PRIMARY_CONTACT_QUERY

    static final org.eclipse.emf.ecore.EReference ORGANIZATION_QUERY_TYPE__PRIMARY_CONTACT_QUERY

  The meta object literal for the 'Primary Contact Query' containment reference feature.

### PERSON_QUERY_TYPE

    static final org.eclipse.emf.ecore.EClass PERSON_QUERY_TYPE

  The meta object literal for the '`Person Query Type`' class.

  See Also:
    `PersonQueryTypeImpl`, `QueryPackageImpl.getPersonQueryType()`

### PERSON_QUERY_TYPE__ADDRESS_FILTER

    static final org.eclipse.emf.ecore.EReference PERSON_QUERY_TYPE__ADDRESS_FILTER

  The meta object literal for the 'Address Filter' containment reference list feature.

### PERSON_QUERY_TYPE__PERSON_NAME_FILTER

    static final org.eclipse.emf.ecore.EReference PERSON_QUERY_TYPE__PERSON_NAME_FILTER

  The meta object literal for the 'Person Name Filter' containment reference feature.

### PERSON_QUERY_TYPE__TELEPHONE_NUMBER_FILTER

    static final org.eclipse.emf.ecore.EReference PERSON_QUERY_TYPE__TELEPHONE_NUMBER_FILTER

  The meta object literal for the 'Telephone Number Filter' containment reference list feature.

### PERSON_QUERY_TYPE__EMAIL_ADDRESSE_FILTER

    static final org.eclipse.emf.ecore.EReference PERSON_QUERY_TYPE__EMAIL_ADDRESSE_FILTER

  The meta object literal for the 'Email Addresse Filter' containment reference list feature.

### QUERY_EXPRESSION_BRANCH_TYPE

    static final org.eclipse.emf.ecore.EClass QUERY_EXPRESSION_BRANCH_TYPE

  The meta object literal for the '`Expression Branch Type`' class.

  See Also:
    `QueryExpressionBranchTypeImpl`, `QueryPackageImpl.getQueryExpressionBranchType()`

### QUERY_EXPRESSION_BRANCH_TYPE__QUERY_LANGUAGE_QUERY

    static final org.eclipse.emf.ecore.EReference QUERY_EXPRESSION_BRANCH_TYPE__QUERY_LANGUAGE_QUERY

  The meta object literal for the 'Query Language Query' containment reference feature.

### REGISTRY_OBJECT_QUERY_TYPE

    static final org.eclipse.emf.ecore.EClass REGISTRY_OBJECT_QUERY_TYPE

  The meta object literal for the '`Registry Object Query Type`' class.

  See Also:
    `RegistryObjectQueryTypeImpl`, `QueryPackageImpl.getRegistryObjectQueryType()`

### REGISTRY_OBJECT_QUERY_TYPE__SLOT_BRANCH

    static final org.eclipse.emf.ecore.EReference REGISTRY_OBJECT_QUERY_TYPE__SLOT_BRANCH

  The meta object literal for the 'Slot Branch' containment reference list feature.

### REGISTRY_OBJECT_QUERY_TYPE__NAME_BRANCH

    static final org.eclipse.emf.ecore.EReference REGISTRY_OBJECT_QUERY_TYPE__NAME_BRANCH

  The meta object literal for the 'Name Branch' containment reference feature.

### REGISTRY_OBJECT_QUERY_TYPE__DESCRIPTION_BRANCH

    static final org.eclipse.emf.ecore.EReference REGISTRY_OBJECT_QUERY_TYPE__DESCRIPTION_BRANCH

  The meta object literal for the 'Description Branch' containment reference feature.

### REGISTRY_OBJECT_QUERY_TYPE__VERSION_INFO_FILTER

    static final org.eclipse.emf.ecore.EReference REGISTRY_OBJECT_QUERY_TYPE__VERSION_INFO_FILTER

  The meta object literal for the 'Version Info Filter' containment reference feature.

### REGISTRY_OBJECT_QUERY_TYPE__CLASSIFICATION_QUERY

    static final org.eclipse.emf.ecore.EReference REGISTRY_OBJECT_QUERY_TYPE__CLASSIFICATION_QUERY

  The meta object literal for the 'Classification Query' containment reference list feature.

### REGISTRY_OBJECT_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY

    static final org.eclipse.emf.ecore.EReference REGISTRY_OBJECT_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY

  The meta object literal for the 'External Identifier Query' containment reference list feature.

### REGISTRY_OBJECT_QUERY_TYPE__OBJECT_TYPE_QUERY

    static final org.eclipse.emf.ecore.EReference REGISTRY_OBJECT_QUERY_TYPE__OBJECT_TYPE_QUERY

  The meta object literal for the 'Object Type Query' containment reference feature.

### REGISTRY_OBJECT_QUERY_TYPE__STATUS_QUERY

    static final org.eclipse.emf.ecore.EReference REGISTRY_OBJECT_QUERY_TYPE__STATUS_QUERY

  The meta object literal for the 'Status Query' containment reference feature.

### REGISTRY_OBJECT_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY

    static final org.eclipse.emf.ecore.EReference REGISTRY_OBJECT_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY

  The meta object literal for the 'Source Association Query' containment reference list feature.

### REGISTRY_OBJECT_QUERY_TYPE__TARGET_ASSOCIATION_QUERY

    static final org.eclipse.emf.ecore.EReference REGISTRY_OBJECT_QUERY_TYPE__TARGET_ASSOCIATION_QUERY

  The meta object literal for the 'Target Association Query' containment reference list feature.

### REGISTRY_PACKAGE_QUERY_TYPE

    static final org.eclipse.emf.ecore.EClass REGISTRY_PACKAGE_QUERY_TYPE

  The meta object literal for the '`Registry Package Query Type`' class.

  See Also:
    `RegistryPackageQueryTypeImpl`, `QueryPackageImpl.getRegistryPackageQueryType()`

### REGISTRY_PACKAGE_QUERY_TYPE__REGISTRY_OBJECT_QUERY

    static final org.eclipse.emf.ecore.EReference REGISTRY_PACKAGE_QUERY_TYPE__REGISTRY_OBJECT_QUERY

  The meta object literal for the 'Registry Object Query' containment reference list feature.

### REGISTRY_QUERY_TYPE

    static final org.eclipse.emf.ecore.EClass REGISTRY_QUERY_TYPE

  The meta object literal for the '`Registry Query Type`' class.

  See Also:
    `RegistryQueryTypeImpl`, `QueryPackageImpl.getRegistryQueryType()`

### REGISTRY_QUERY_TYPE__OPERATOR_QUERY

    static final org.eclipse.emf.ecore.EReference REGISTRY_QUERY_TYPE__OPERATOR_QUERY

  The meta object literal for the 'Operator Query' containment reference feature.

### RESPONSE_OPTION_TYPE

    static final org.eclipse.emf.ecore.EClass RESPONSE_OPTION_TYPE

  The meta object literal for the '`Response Option Type`' class.

  See Also:
    `ResponseOptionTypeImpl`, `QueryPackageImpl.getResponseOptionType()`

### RESPONSE_OPTION_TYPE__RETURN_COMPOSED_OBJECTS

    static final org.eclipse.emf.ecore.EAttribute RESPONSE_OPTION_TYPE__RETURN_COMPOSED_OBJECTS

  The meta object literal for the 'Return Composed Objects' attribute feature.

### RESPONSE_OPTION_TYPE__RETURN_TYPE

    static final org.eclipse.emf.ecore.EAttribute RESPONSE_OPTION_TYPE__RETURN_TYPE

  The meta object literal for the 'Return Type' attribute feature.

### SERVICE_BINDING_QUERY_TYPE

    static final org.eclipse.emf.ecore.EClass SERVICE_BINDING_QUERY_TYPE

  The meta object literal for the '`Service Binding Query Type`' class.

  See Also:
    `ServiceBindingQueryTypeImpl`, `QueryPackageImpl.getServiceBindingQueryType()`

### SERVICE_BINDING_QUERY_TYPE__SERVICE_QUERY

    static final org.eclipse.emf.ecore.EReference SERVICE_BINDING_QUERY_TYPE__SERVICE_QUERY

  The meta object literal for the 'Service Query' containment reference feature.

### SERVICE_BINDING_QUERY_TYPE__SPECIFICATION_LINK_QUERY

    static final org.eclipse.emf.ecore.EReference SERVICE_BINDING_QUERY_TYPE__SPECIFICATION_LINK_QUERY

  The meta object literal for the 'Specification Link Query' containment reference list feature.

### SERVICE_BINDING_QUERY_TYPE__TARGET_BINDING_QUERY

    static final org.eclipse.emf.ecore.EReference SERVICE_BINDING_QUERY_TYPE__TARGET_BINDING_QUERY

  The meta object literal for the 'Target Binding Query' containment reference feature.

### SERVICE_QUERY_TYPE

    static final org.eclipse.emf.ecore.EClass SERVICE_QUERY_TYPE

  The meta object literal for the '`Service Query Type`' class.

  See Also:
    `ServiceQueryTypeImpl`, `QueryPackageImpl.getServiceQueryType()`

### SERVICE_QUERY_TYPE__SERVICE_BINDING_QUERY

    static final org.eclipse.emf.ecore.EReference SERVICE_QUERY_TYPE__SERVICE_BINDING_QUERY

  The meta object literal for the 'Service Binding Query' containment reference list feature.

### SIMPLE_FILTER_TYPE

    static final org.eclipse.emf.ecore.EClass SIMPLE_FILTER_TYPE

  The meta object literal for the '`Simple Filter Type`' class.

  See Also:
    `SimpleFilterTypeImpl`, `QueryPackageImpl.getSimpleFilterType()`

### SIMPLE_FILTER_TYPE__COMPARATOR

    static final org.eclipse.emf.ecore.EAttribute SIMPLE_FILTER_TYPE__COMPARATOR

  The meta object literal for the 'Comparator' attribute feature.

### SIMPLE_FILTER_TYPE__DOMAIN_ATTRIBUTE

    static final org.eclipse.emf.ecore.EAttribute SIMPLE_FILTER_TYPE__DOMAIN_ATTRIBUTE

  The meta object literal for the 'Domain Attribute' attribute feature.

### SLOT_BRANCH_TYPE

    static final org.eclipse.emf.ecore.EClass SLOT_BRANCH_TYPE

  The meta object literal for the '`Slot Branch Type`' class.

  See Also:
    `SlotBranchTypeImpl`, `QueryPackageImpl.getSlotBranchType()`

### SPECIFICATION_LINK_QUERY_TYPE

    static final org.eclipse.emf.ecore.EClass SPECIFICATION_LINK_QUERY_TYPE

  The meta object literal for the '`Specification Link Query Type`' class.

  See Also:
    `SpecificationLinkQueryTypeImpl`, `QueryPackageImpl.getSpecificationLinkQueryType()`

### SPECIFICATION_LINK_QUERY_TYPE__USAGE_DESCRIPTION_BRANCH

    static final org.eclipse.emf.ecore.EReference SPECIFICATION_LINK_QUERY_TYPE__USAGE_DESCRIPTION_BRANCH

  The meta object literal for the 'Usage Description Branch' containment reference feature.

### SPECIFICATION_LINK_QUERY_TYPE__SERVICE_BINDING_QUERY

    static final org.eclipse.emf.ecore.EReference SPECIFICATION_LINK_QUERY_TYPE__SERVICE_BINDING_QUERY

  The meta object literal for the 'Service Binding Query' containment reference feature.

### SPECIFICATION_LINK_QUERY_TYPE__SPECIFICATION_OBJECT_QUERY

    static final org.eclipse.emf.ecore.EReference SPECIFICATION_LINK_QUERY_TYPE__SPECIFICATION_OBJECT_QUERY

  The meta object literal for the 'Specification Object Query' containment reference feature.

### STRING_FILTER_TYPE

    static final org.eclipse.emf.ecore.EClass STRING_FILTER_TYPE

  The meta object literal for the '`String Filter Type`' class.

  See Also:
    `StringFilterTypeImpl`, `QueryPackageImpl.getStringFilterType()`

### STRING_FILTER_TYPE__VALUE

    static final org.eclipse.emf.ecore.EAttribute STRING_FILTER_TYPE__VALUE

  The meta object literal for the 'Value' attribute feature.

### SUBSCRIPTION_QUERY_TYPE

    static final org.eclipse.emf.ecore.EClass SUBSCRIPTION_QUERY_TYPE

  The meta object literal for the '`Subscription Query Type`' class.

  See Also:
    `SubscriptionQueryTypeImpl`, `QueryPackageImpl.getSubscriptionQueryType()`

### SUBSCRIPTION_QUERY_TYPE__SELECTOR_QUERY

    static final org.eclipse.emf.ecore.EReference SUBSCRIPTION_QUERY_TYPE__SELECTOR_QUERY

  The meta object literal for the 'Selector Query' containment reference feature.

### USER_QUERY_TYPE

    static final org.eclipse.emf.ecore.EClass USER_QUERY_TYPE

  The meta object literal for the '`User Query Type`' class.

  See Also:
    `UserQueryTypeImpl`, `QueryPackageImpl.getUserQueryType()`

### COMPARATOR_TYPE

    static final org.eclipse.emf.ecore.EEnum COMPARATOR_TYPE

  The meta object literal for the '`Comparator Type`' enum.

  See Also:
    `ComparatorType`, `QueryPackageImpl.getComparatorType()`

### LOGICAL_OPERATOR_TYPE

    static final org.eclipse.emf.ecore.EEnum LOGICAL_OPERATOR_TYPE

  The meta object literal for the '`Logical Operator Type`' enum.

  See Also:
    `LogicalOperatorType`, `QueryPackageImpl.getLogicalOperatorType()`

### RETURN_TYPE_TYPE

    static final org.eclipse.emf.ecore.EEnum RETURN_TYPE_TYPE

  The meta object literal for the '`Return Type Type`' enum.

  See Also:
    `ReturnTypeType`, `QueryPackageImpl.getReturnTypeType()`

### COMPARATOR_TYPE_OBJECT

    static final org.eclipse.emf.ecore.EDataType COMPARATOR_TYPE_OBJECT

  The meta object literal for the 'Comparator Type Object' data type.

  See Also:
    `ComparatorType`, `QueryPackageImpl.getComparatorTypeObject()`

### LOGICAL_OPERATOR_TYPE_OBJECT

    static final org.eclipse.emf.ecore.EDataType LOGICAL_OPERATOR_TYPE_OBJECT

  The meta object literal for the 'Logical Operator Type Object' data type.

  See Also:
    `LogicalOperatorType`, `QueryPackageImpl.getLogicalOperatorTypeObject()`

### RETURN_TYPE_TYPE_OBJECT

    static final org.eclipse.emf.ecore.EDataType RETURN_TYPE_TYPE_OBJECT

  The meta object literal for the 'Return Type Type Object' data type.

  See Also:
    `ReturnTypeType`, `QueryPackageImpl.getReturnTypeTypeObject()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD